#include <stdio.h>
#include <string.h>

main()
{
  char s[100], t[200005], m, l=0;
  gets(t);
  gets(s);
  m=strlen(s);
  for(int i=0;t[i];i++)
    if(t[i]=='a')
      l++;
  for(int i=0;l>=m;i++)
    if(t[i]=='a')
    {
      t[i]='*';
      l--;
    }
  puts(t);
}